"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepWorker = void 0;
const node_util_1 = require("node:util");
const logger_1 = require("@jfrog-pipelines/logger");
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const microWorker = require('./microWorker');
class StepWorker {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('StepWorker');
    }
    async process(message) {
        try {
            const accessClient = internal_clients_1.AccessClientFactory.getClient();
            const { rawClient, context } = accessClient.getRawClientAndContext();
            global.accessClient = rawClient;
            global.accessClientContext = context;
            const workerPromisify = (0, node_util_1.promisify)(microWorker).bind(microWorker);
            await workerPromisify(message);
        }
        catch (error) {
            this.logger.error(`Failed to process message with err ${(0, node_util_1.inspect)(error)}`);
        }
    }
}
exports.StepWorker = StepWorker;
//# sourceMappingURL=StepWorker.js.map