import { RunAdjacencyAttributes } from '@jfrog-pipelines/types';
import { Dictionary } from '@jfrog-pipelines/utility';
import { DataAdapter } from '../dataAdapter';
export declare class RunAdjacency {
    private readonly dataAdapter;
    private runAdjacencyList;
    private runAdjacencyByRunId;
    constructor(dataAdapter: DataAdapter);
    populate(): Promise<void>;
    getRunAdjacencyStepletIds(): number[];
    getRunAdjacencyStepIds(): number[];
    getRunAdjacencyRunIds(): string[];
    getRunAdjacencyByRunId(runId: number): RunAdjacencyAttributes[];
    getAffinityGroups(runId: number): {
        affinityGroups: string[];
        listByAffinityGroup: Dictionary<RunAdjacencyAttributes[]>;
    };
    private getRunAdjacencyList;
    private filterByDependencyModePipelineIds;
    private populateDependencyPipelines;
    private checkAndFilterRunAdjacencies;
    private removeRunAdjacencies;
    private checkForParentSuccess;
    private filterUnresolvedDependencyModePipelines;
    private getPipelinesWaitingForDependencyMode;
}
