"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Step = void 0;
const utility_1 = require("@jfrog-pipelines/utility");
class Step {
    constructor(dataAdapter) {
        this.dataAdapter = dataAdapter;
        this.stepsById = {};
        this.steps = [];
    }
    async populate(runAdjacency) {
        const stepIds = runAdjacency.getRunAdjacencyStepIds();
        if (stepIds.length === 0) {
            return;
        }
        const steps = await this.dataAdapter.getSteps(stepIds, '');
        this.steps = steps;
        this.stepsById = (0, utility_1.keyBy)(steps, 'id');
    }
    getSteps() {
        return this.steps;
    }
    getStepById(stepId) {
        return this.stepsById[stepId];
    }
}
exports.Step = Step;
//# sourceMappingURL=Step.js.map