"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Steplet = void 0;
const utility_1 = require("@jfrog-pipelines/utility");
class Steplet {
    constructor(dataAdapter) {
        this.dataAdapter = dataAdapter;
        this.steplets = [];
        this.stepletsById = {};
        this.stepletsByStepId = {};
    }
    async populate(runAdjacency) {
        const stepletIds = runAdjacency.getRunAdjacencyStepletIds();
        if (stepletIds.length === 0) {
            return;
        }
        const steplets = await this.dataAdapter.getStepletsByStepletIds(stepletIds, '');
        this.steplets = steplets;
        this.stepletsById = (0, utility_1.keyBy)(steplets, 'id');
        this.stepletsByStepId = (0, utility_1.groupBy)(steplets, 'stepId');
    }
    getSteplets() {
        return this.steplets;
    }
    getStepletById(stepletId) {
        return this.stepletsById[stepletId];
    }
    getStepletsByStepId(stepId) {
        return this.stepletsByStepId[stepId];
    }
}
exports.Steplet = Steplet;
//# sourceMappingURL=Steplet.js.map