"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dataAdapter_1 = require("../../dataAdapter");
const RunAdjacency_1 = require("../RunAdjacency");
const Step_1 = require("../Step");
describe('Step test cases', () => {
    const runAdjacency = new RunAdjacency_1.RunAdjacency(new dataAdapter_1.ApiDataAdapter({}));
    it('should populate when empty steps', async () => {
        jest.spyOn(RunAdjacency_1.RunAdjacency.prototype, 'getRunAdjacencyStepIds').mockReturnValueOnce([]);
        const step = new Step_1.Step(new dataAdapter_1.ApiDataAdapter({}));
        await step.populate(runAdjacency);
        expect(step.getStepById).toBeDefined();
    });
    it('should populate when there are steps', async () => {
        jest.spyOn(RunAdjacency_1.RunAdjacency.prototype, 'getRunAdjacencyStepIds').mockReturnValueOnce([1, 2, 3]);
        jest.spyOn(dataAdapter_1.ApiDataAdapter.prototype, 'getSteps').mockResolvedValueOnce([
            {
                id: 1
            },
            {
                id: 2
            },
            {
                id: 3
            }
        ]);
        const step = new Step_1.Step(new dataAdapter_1.ApiDataAdapter({}));
        await step.populate(runAdjacency);
        expect(step.getStepById('1')).toBeDefined();
    });
});
//# sourceMappingURL=Step.test.js.map