"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dataAdapter_1 = require("../../dataAdapter");
const RunAdjacency_1 = require("../RunAdjacency");
const Steplet_1 = require("../Steplet");
describe('Steplet test cases', () => {
    const runAdjacency = new RunAdjacency_1.RunAdjacency(new dataAdapter_1.ApiDataAdapter({}));
    it('should populate when empty steplets', async () => {
        jest.spyOn(RunAdjacency_1.RunAdjacency.prototype, 'getRunAdjacencyStepletIds').mockReturnValueOnce([]);
        const steplet = new Steplet_1.Steplet(new dataAdapter_1.ApiDataAdapter({}));
        await steplet.populate(runAdjacency);
        expect(steplet.getStepletById).toBeDefined();
    });
    it('should populate when there are steplets', async () => {
        jest.spyOn(RunAdjacency_1.RunAdjacency.prototype, 'getRunAdjacencyStepletIds').mockReturnValueOnce([1, 2, 3]);
        jest.spyOn(dataAdapter_1.ApiDataAdapter.prototype, 'getStepletsByStepletIds').mockResolvedValueOnce([
            {
                id: 1,
                stepId: 1
            },
            {
                id: 2,
                stepId: 2
            },
            {
                id: 3,
                stepId: 3
            }
        ]);
        const steplet = new Steplet_1.Steplet(new dataAdapter_1.ApiDataAdapter({}));
        await steplet.populate(runAdjacency);
        expect(steplet.getStepletById('1')).toBeDefined();
        expect(steplet.getStepletsByStepId(1)).toBeDefined();
    });
});
//# sourceMappingURL=Steplet.test.js.map