import { PipelinesClient } from '@jfrog-pipelines/internal-clients';
import { PipelineAttributes, RunAdjacencyAttributes, RunAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { DataAdapter } from './DataAdapter';
export declare class ApiDataAdapter implements DataAdapter {
    private readonly pipelinesClient;
    constructor(pipelinesClient: PipelinesClient);
    getTriggerableSteps(): Promise<RunAdjacencyAttributes[]>;
    deleteRunAdjacencyByIds(runAdjacencyIds: number[]): Promise<number>;
    getRunAdjacencyByQuery(query: string): Promise<RunAdjacencyAttributes[]>;
    getSteps(stepIds: number[], query: string): Promise<StepAttributes[]>;
    getStepletsByStepletIds(stepletIds: number[], query: string): Promise<StepletAttributes[]>;
    getRuns(pipelineIds: number[], query: string): Promise<RunAttributes[]>;
    getPipelines(pipelineIds: number[], query: string): Promise<PipelineAttributes[]>;
    updateStepsReadyAt(stepIds: number[]): Promise<number>;
    getStepsWaitingForApprovalRequest(stepIds: string[]): Promise<StepAttributes[]>;
}
