import { PipelineAttributes, RunAdjacencyAttributes, RunAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
export interface DataAdapter {
    getTriggerableSteps(): Promise<RunAdjacencyAttributes[]>;
    deleteRunAdjacencyByIds(runAdjacencyIds: number[]): Promise<number>;
    getRunAdjacencyByQuery(query: string): Promise<RunAdjacencyAttributes[]>;
    getSteps(stepIds: number[], query: string): Promise<StepAttributes[]>;
    getStepletsByStepletIds(stepletIds: number[], query: string): Promise<StepletAttributes[]>;
    getRuns(pipelineIds: number[], query: string): Promise<RunAttributes[]>;
    getPipelines(pipelineIds: number[], query: string): Promise<PipelineAttributes[]>;
    updateStepsReadyAt(stepIds: number[]): Promise<number>;
    getStepsWaitingForApprovalRequest(stepIds: []): Promise<StepAttributes[]>;
}
